--- audio.c.orig	Fri Jul 27 23:45:50 2001
+++ audio.c	Sat Jul 28 00:24:29 2001
@@ -349,7 +349,7 @@
 	if(!find_wav_chunk(in, "fmt ", &len))
 		return 0; /* EOF */
 
-	if(len!=16) 
+	if(len<16) 
 	{
 		fprintf(stderr, "Warning: Unrecognised format chunk in WAV header\n");
 		return 0; /* Weird format chunk */
@@ -367,6 +367,10 @@
 	format.bytespersec = READ_U32_LE(buf+8);
 	format.align =       READ_U16_LE(buf+12);
 	format.samplesize =  READ_U16_LE(buf+14);
+
+    /* A "fmt" chunk could have an indicated size larger than 16 */
+	if(len - 16 > 0 && !seek_forward(in, len-16))
+		return 0;
 
 	if(!find_wav_chunk(in, "data", &len))
 		return 0; /* EOF */
